ASPGestionProduit/Models/Categorie.cs
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Runtime.Serialization;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace ASPGestionProduit.Models
{
    //[JsonObject(IsReference = true)]
    public class Categorie
    {

        private int id;
        private string nom;
        //private List<Product> products;
        private ImageCategorie imageCategorie;



        [Key]
        public int Id { get => id; set => id = value; }
        public string Nom { get => nom; set => nom = value; }

        //[System.Text.Json.Serialization.JsonIgnore]
        //[IgnoreDataMember]
        //public List<Product> Products { get => products; set => products = value; }
        public ImageCategorie ImageCategorie { get => imageCategorie; set => imageCategorie = value; }

        public Categorie() { }


    }
}

ASPGestionProduit/Controllers/CategorieController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Policy;
using System.Threading.Tasks;
using ASPGestionProduit.Interface;
using ASPGestionProduit.Models;
using ASPGestionProduit.Tools;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace ASPGestionProduit.Controllers
{
    public class CategorieController : Controller
    {
        private IUploadFile _uploadFileService;


        public CategorieController(IUploadFile uploadFile)
        {

            _uploadFileService = uploadFile;

        }

        public IActionResult AfficheCreationCategorie()
        {
            return View();
        }

      


        public IActionResult SubmitCategorie(IFormFile image, string titre)
        {
            ImageCategorie imagee = new ImageCategorie() { Url = _uploadFileService.UploadFile(image) };
            Categorie categorie = new Categorie() { ImageCategorie = imagee, Nom = titre };
            Sauvegarde.Instance.AddCategorie(categorie);
            return View("AfficheCreationCategorie", categorie);
        }
    }
}

ASPGestionProduit/Views/Categorie/AfficheCreationCategorie.cshtml
@model Categorie
<div class="container">
    <h5 class="mb-3">Ajouter une Categorie</h5>
    <form enctype="multipart/form-data" method="post" asp-controller="Categorie" asp-action="SubmitCategorie">
        <div class="row m-2">
            <input type="text" name="titre" placeholder="Titre de la Catégorie" class="form-control col" required/>
        </div>
        <div class="row m-2">
            <input type="file" name="image" placeholder="Images du produit" class="form-control col" required />
        </div>
        <div class="row m-2">
            <button type="submit" class="col btn btn-info form-control">Valider</button>
        </div>
    </form>

    @if (Model != null)
    {
    <div class="row mt-4">
        <div class="col alert-danger alert p-2">
            La categorie @Model.Nom a bien été crée
        </div>
    </div>

    }

</div>